org.eclipse.graphiti.ui.internal.util.ui.print

## Class PrintFigureScaleableOperation

- java.lang.Object
- - org.eclipse.draw2d.PrintOperation
  - - org.eclipse.draw2d.PrintFigureOperation
    - - org.eclipse.graphiti.ui.internal.util.ui.print.PrintFigureScaleableOperation

    public class PrintFigureScaleableOperation
    extends org.eclipse.draw2d.PrintFigureOperation

A PrintFigureOperation, which allows to print with fully configurable size and position. The width, height, and margins are expected to be accessible through the field `_preferences`.

### Field Summary

### Fields inherited from class org.eclipse.draw2d.PrintFigureOperation

`FIT_HEIGHT, FIT_PAGE, FIT_WIDTH, TILE`

### Constructor Summary

Constructors
Constructor and Description
`PrintFigureScaleableOperation(IPrintConfiguration printConfiguration)` Creates a new PrintFigureScaleableOperation.

### Method Summary

### Methods inherited from class org.eclipse.draw2d.PrintFigureOperation

`setPrintMode`

### Methods inherited from class org.eclipse.draw2d.PrintOperation

`getPrinter, getPrintRegion, run, setPrinter, setPrintMargin`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrintFigureScaleableOperation

    public PrintFigureScaleableOperation(IPrintConfiguration printConfiguration)

Creates a new PrintFigureScaleableOperation.

Parameters:
  `p` - The printer, where to print
  `figure` - actually only used to call super methods
  `image` - The image to print, this is currently used for printing since Figures do not allow for flexible xy-scaling.